summaryrefslogtreecommitdiff
path: root/dev-python/protobuf-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-05 20:37:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-10-05 20:37:09 +0000
commit950a582457e3540054bb4e1704c4f2d124789e40 (patch)
treec41b380e0e0ccad49fb6138353a9d1b08d2f0169 /dev-python/protobuf-python
parentb35866bc9f6f5a6e1c17798efd31799f1d749faf (diff)
downloadbaldeagleos-repo-950a582457e3540054bb4e1704c4f2d124789e40.tar.gz
baldeagleos-repo-950a582457e3540054bb4e1704c4f2d124789e40.tar.xz
baldeagleos-repo-950a582457e3540054bb4e1704c4f2d124789e40.zip
Adding metadata
Diffstat (limited to 'dev-python/protobuf-python')
-rw-r--r--dev-python/protobuf-python/Manifest1
-rw-r--r--dev-python/protobuf-python/protobuf-python-4.24.4.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-python/protobuf-python/Manifest b/dev-python/protobuf-python/Manifest
index 688dd470a881..c1e923ec98fb 100644
--- a/dev-python/protobuf-python/Manifest
+++ b/dev-python/protobuf-python/Manifest
@@ -3,3 +3,4 @@ DIST protobuf-23.3.tar.gz 5043803 BLAKE2B ee2edee230969555c9ef95069c7b1d6c23c3d1
DIST protobuf-24.1.tar.gz 5178595 BLAKE2B d45f4961620685515e815849bf2a83a4cfc435255fea1bc131325a354a5ab244555631ab6c30484830f346a264ae839e4de7193c5ab01910d1477733039685c3 SHA512 7afe0633d22804ab23db062d7a61b63cbd088ead3b82ee5d86069fac3c806af63a6e67ae3b8ecb7d834b188c17a739ef43388e2ee6ca4152a2bec1a89ae30bc0
DIST protobuf-24.2.tar.gz 5179130 BLAKE2B a1e3da4e95072391fa4abf671a9eb77806f1b3864219e1e0c024156558e2ecd9e3cabee367efaf15626a199ae413dced3f29f601820611d37dd733c92ffc06c0 SHA512 fee9f5fc0e615e49347320e37b560112f43d13c63050701e25b3348e9d4aa59e80c7d810f7da12764b1b9eeee8efa35be7743c5ebbb0a12c78f5924f1544c356
DIST protobuf-24.3.tar.gz 5179711 BLAKE2B 9473a1a9489d4cb92fb7ee56ac51a891cd6de005607be3f5a385957318045d2d8e6bdaa9ffa3c3f88d376b1d9a499ba9560054ae87fe031afffb62b3292ef365 SHA512 2c1a381f81bb2c0afa3a2ff6681f9f37bc7aef3a3882c371eea7284f4e9524c2a0c834de6c7f681706890eee2220a42442367b8f8dc8370f182fab9e2c37cfd2
+DIST protobuf-24.4.tar.gz 5180235 BLAKE2B 1c7e9035d9f3810886baaea7d679414c882463c79828c99dd8895a9549638c1ca17f9ab3b38d461019f3e1412d9cb9584b995b1da99866eb6fdbb8bdeb063e6f SHA512 52b6ab5587d03cbd1f35cf3cdc388e1710fa50f3031559ac53cf754965407ded7602cdead56080444ab695588112cc3391a1d7fdd5e565d90d0af7ad08706315
diff --git a/dev-python/protobuf-python/protobuf-python-4.24.4.ebuild b/dev-python/protobuf-python/protobuf-python-4.24.4.ebuild
new file mode 100644
index 000000000000..ba7a6f32e4ce
--- /dev/null
+++ b/dev-python/protobuf-python/protobuf-python-4.24.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2023 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11} )
+
+inherit distutils-r1 flag-o-matic
+
+PARENT_PN="${PN/-python/}"
+PARENT_PV="$(ver_cut 2-)"
+PARENT_P="${PARENT_PN}-${PARENT_PV}"
+
+SRC_URI="
+ https://github.com/protocolbuffers/protobuf/archive/v${PARENT_PV}.tar.gz -> ${PARENT_P}.tar.gz
+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="
+ https://developers.google.com/protocol-buffers/
+ https://pypi.org/project/protobuf/
+"
+
+LICENSE="BSD"
+SLOT="0/24.4.0"
+
+S="${WORKDIR}/${PARENT_P}/python"
+
+BDEPEND="
+"
+DEPEND="
+ ${PYTHON_DEPS}
+"
+RDEPEND="
+ ${BDEPEND}
+ dev-libs/protobuf:${SLOT}
+"
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+ eapply_user
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ append-cxxflags -std=c++17
+ DISTUTILS_ARGS=( --cpp_implementation )
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}/install" -name "*.pth" -type f -delete || die
+}